Bug 225159 - AssertionError at com.sun.tools.javac.jvm.Items$Item.load
AssertionError at com.sun.tools.javac.jvm.Items$Item.load
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
7.3
All All
: P2 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT, cndreq
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-21 21:08 UTC by Exceptions Reporter
Modified: 2016-11-11 02:49 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.53 KB, text/plain)
2013-01-21 21:08 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2013-01-21 21:08:14 UTC
This bug was originally marked as duplicate of bug 214425, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build jdk8lambda-1605-on-20130111)
VM: Java HotSpot(TM) Client VM, 21.0-b17, Java(TM) SE Runtime Environment, 1.7.0-b147
OS: SunOS

Stacktrace: 
java.lang.AssertionError
   at com.sun.tools.javac.jvm.Items$Item.load(Items.java:206)
   at com.sun.tools.javac.jvm.Items$Item.coerce(Items.java:250)
   at com.sun.tools.javac.jvm.Items$Item.coerce(Items.java:269)
   at com.sun.tools.javac.jvm.Gen.genExpr(Gen.java:838)
   at com.sun.tools.javac.jvm.Gen.visitReturn(Gen.java:1658)
   at com.sun.tools.javac.tree.JCTree$JCReturn.accept(JCTree.java:1318)
Comment 1 Exceptions Reporter 2013-01-21 21:08:16 UTC
Created attachment 130472 [details]
stacktrace
Comment 2 Martin Balin 2016-07-07 07:18:04 UTC
This old bug may not be relevant anymore. If you can still reproduce it in 8.2 development builds please reopen this issue.

Thanks for your cooperation,
NetBeans IDE 8.2 Release Boss
Comment 3 Vladimir Voskresensky 2016-11-07 12:52:25 UTC
happens in Daily
Comment 4 Vladimir Voskresensky 2016-11-07 12:52:45 UTC
Product Version: NetBeans IDE Dev (Build 20161107-56ba8b05c7bf)
Java: 1.8.0_102; Java HotSpot(TM) 64-Bit Server VM 25.102-b14
Runtime: Java(TM) SE Runtime Environment 1.8.0_102-b14
System: SunOS version 5.11 running on amd64; UTF-8; en_US (nb)
User directory: /var/tmp/vvoskres/llvm39
Cache directory: /var/tmp/vvoskres/llvm39/var/cache
Comment 6 Quality Engineering 2016-11-11 02:49:59 UTC
Integrated into 'main-silver', will be available in build *201611110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/0dcfddd50386
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #225159 - AssertionError at com.sun.tools.javac.jvm.Items$Item.load - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo